#!/bin/sh

export CAIRO_DOCK_DIR=/opt/cairo-dock
export CAIRO_DOCK_FAST="0" 
if test "$1" = "-f" -o "$2" = "-f"; then
	export CAIRO_DOCK_FAST="1"
fi

#\_____________ On nettoie tout et on fait une archive des sources.
cd $CAIRO_DOCK_DIR

find . -name "*~" -delete
find . -name "core*" -delete
find . -name ".#*" -delete
find . -name cvs -execdir mv cvs CVS \;

cd $CAIRO_DOCK_DIR
rm -f cairo-dock-sources*.tar.bz2 *.deb

cd cairo-dock
./compile-all.sh -c

cd /tmp
tar cf `date +"cairo-dock-sources-%Y%m%d.tar"` /opt/cairo-dock/cairo-dock /opt/cairo-dock/plug-ins
cd $CAIRO_DOCK_DIR
mv `date +"/tmp/cairo-dock-sources-%Y%m%d.tar"` .
bzip2 *.tar 

#\_____________ On nettoie l'arborescence des paquets.
sudo rm -f deb/usr/bin/*
sudo rm -rf deb/usr/share/cairo-dock/
sudo rm -f deb/usr/share/locale/fr/LC_MESSAGES/*.mo


sudo rm -f deb-plug-ins/usr/lib/*
sudo rm -rf deb-plug-ins/usr/share/cairo-dock/plug-in

sudo chmod -R 755 deb deb-plug-ins
cd deb
if test -e debian; then
	mv debian DEBIAN
fi
cd ../deb-plug-ins
if test -e debian; then
	mv debian DEBIAN
fi

#\_____________ On compile de zero.
cd ../cairo-dock
if test "$CAIRO_DOCK_FAST" = "1"; then
	./compile-all.sh -C -i
else
	./compile-all.sh -a -C -i
fi

#\_____________ On cree les paquets.
cd ../deb
sudo cp /usr/bin/cairo-dock usr/bin
sudo cp /usr/bin/launch-cairo-dock-after-beryl.sh usr/bin
sudo cp /usr/bin/cairo-dock-update.sh usr/bin
sudo cp -r /usr/share/cairo-dock/ usr/share/
sudo rm -rf usr/share/cairo-dock/plug-in
sudo cp /usr/share/locale/fr/LC_MESSAGES/cairo-dock.mo usr/share/locale/fr/LC_MESSAGES

cd $CAIRO_DOCK_DIR
dpkg -b deb "cairo-dock_`./cairo-dock/src/cairo-dock --version`_i686-32bits.deb"

cd deb-plug-ins
sudo cp -r /usr/share/cairo-dock/plug-in usr/share/cairo-dock
sudo cp /usr/lib/libfile-manager-gnome.so usr/lib

cd $CAIRO_DOCK_DIR
dpkg -b deb-plug-ins "cairo-dock-plug-ins_`./cairo-dock/src/cairo-dock --version`_i686-32bits.deb"

#\_____________ On liste les sommes de controle des fichiers.
rm -f md5sum.txt
for f in *.deb *.bz2; do echo `md5sum $f`>> md5sum.txt; done;
echo "fichiers generes :"
echo "----------------"
cat md5sum.txt
