#include <stdlib.h>
#include "rhythmbox-menu-functions.h"
#include "rhythmbox-draw.h"

extern Icon *myIcon;
extern CairoDock *myDock;

//*********************************************************************************
// rhythmbox_previous : Joue la piste précédante
//*********************************************************************************
static void rhythmbox_previous (GtkMenuItem *menu_item, gpointer *data)
{
	g_print ("%s ()\n", __func__);
	
	g_spawn_command_line_async ("rhythmbox-client --previous", NULL);
}

//*********************************************************************************
// rhythmbox_next : Joue la piste suivante
//*********************************************************************************
static void rhythmbox_next (GtkMenuItem *menu_item, gpointer *data)
{
	g_print ("%s ()\n", __func__);
	g_spawn_command_line_async ("rhythmbox-client --next", NULL);
}

//*********************************************************************************
// rhythmbox_pause : Stop la lecture
//*********************************************************************************
static void rhythmbox_pause (GtkMenuItem *menu_item, gpointer *data)
{
	g_print ("%s ()\n", __func__);
	g_spawn_command_line_async ("rhythmbox-client --pause", NULL);
}

//*********************************************************************************
// rhythmbox_play : Joue la piste
//*********************************************************************************
static void rhythmbox_play (GtkMenuItem *menu_item, gpointer *data)
{
	g_print ("%s ()\n", __func__);
	g_spawn_command_line_async ("rhythmbox-client --play", NULL);
}

static void rhythmbox_music (GtkMenuItem *menu_item, gpointer *data)
{
	music_dialog();
}



void about (GtkMenuItem *menu_item, gpointer *data)
{
	cairo_dock_show_temporary_dialog (g_strdup_printf("Applet by Necropotame (Adrien Pilleboue)")
		,myIcon
		,myDock
		,5000);
}


gboolean rhythmbox_notification_build_menu (gpointer *data)
{
	if (data[0] == myIcon)
	{
		GtkWidget *pMenu = data[2];
		
		GtkWidget *menu_item;
		//Bouton "Previous"
		menu_item = gtk_menu_item_new_with_label ("Previous");
		gtk_menu_shell_append  (GTK_MENU_SHELL (pMenu), menu_item);
		g_signal_connect (G_OBJECT (menu_item), "activate", G_CALLBACK (rhythmbox_previous), NULL);
		//Bouton "Next"
		menu_item = gtk_menu_item_new_with_label ("Next");
		gtk_menu_shell_append  (GTK_MENU_SHELL (pMenu), menu_item);
		g_signal_connect (G_OBJECT (menu_item), "activate", G_CALLBACK (rhythmbox_next), NULL);
		//Bouton "Pause"
		menu_item = gtk_menu_item_new_with_label ("Pause");
		gtk_menu_shell_append  (GTK_MENU_SHELL (pMenu), menu_item);
		g_signal_connect (G_OBJECT (menu_item), "activate", G_CALLBACK (rhythmbox_pause), NULL);
		//Bouton "Play"
		menu_item = gtk_menu_item_new_with_label ("Play");
		gtk_menu_shell_append  (GTK_MENU_SHELL (pMenu), menu_item);
		g_signal_connect (G_OBJECT (menu_item), "activate", G_CALLBACK (rhythmbox_play), NULL);
		//Bouton "Music"
		menu_item = gtk_menu_item_new_with_label ("Music");
		gtk_menu_shell_append  (GTK_MENU_SHELL (pMenu), menu_item);
		g_signal_connect (G_OBJECT (menu_item), "activate", G_CALLBACK (rhythmbox_music), NULL);
		//Bouton "About"
		menu_item = gtk_menu_item_new_with_label ("About");
		gtk_menu_shell_append  (GTK_MENU_SHELL (pMenu), menu_item);
		g_signal_connect (G_OBJECT (menu_item), "activate", G_CALLBACK (about), NULL);
	}
	return CAIRO_DOCK_LET_PASS_NOTIFICATION;
}


//*********************************************************************************
// rhythmbox_action() : Fonction appelée au clique sur l'icone
// Cette fonction met le lecteur en pause ou en lecture selon son état
//*********************************************************************************
gboolean rhythmbox_click (gpointer *data)
{
	if (data[0] == myIcon)
	{
		g_print ("%s ()\n", __func__);
		
		if(rhythmbox_getPlaying())
		{
			g_spawn_command_line_async ("rhythmbox-client --pause", NULL);
		}
		else
		{
			g_spawn_command_line_async ("rhythmbox-client --play", NULL);
		}
		return CAIRO_DOCK_INTERCEPT_NOTIFICATION;
	}
	return CAIRO_DOCK_LET_PASS_NOTIFICATION;
}

gboolean rhythmbox_double_click (gpointer *data)
{
	if (data[0] == myIcon)
	{
		g_print ("%s ()\n", __func__);
		
		if(rhythmbox_getPlaying())
		{
			g_spawn_command_line_async ("rhythmbox-client --next", NULL);
		}
		
		return CAIRO_DOCK_INTERCEPT_NOTIFICATION;
	}
	return CAIRO_DOCK_LET_PASS_NOTIFICATION;
}
